tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Costin Manolache <cmanola...@yahoo.com>
Subject Re: Why does Tomcat use xerces under java 1.4 instead of the internal jvm classes?
Date Wed, 02 Apr 2003 05:38:51 GMT
Jean-Francois Arcand wrote:

> Because the xerces version bundled with 1.4 is an older one, doesn't
> support XML schema properly, and contains bugs (and is not as performant
> as the 2.x version)

Isn't Crimson in JDK1.4 ? I remember we decided to disable XML schema
validation. 

At least in tomcat5 I never use xerces - only the bundled parser, and so
far I've seen no problems.

XML schema validation is just bad - if the spec would _require_ the
container to validate ( and I hope it won't ) - then we can provide a
separate "validator" that will include xerces and some script that users
can run.

Costin


---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-dev-help@jakarta.apache.org


Mime
View raw message